@echo off

REM observations in this file apply to my Windows XP SP2 laptop
REM with Firefox 1.0.7, lynx 2.8.7rel2, and a june 2014 copy of chrome.

REM Illegal DOS file name characters: *0:*31, *X, *V, \, :, *D, *L, *G, ?, /.
REM DEL is legal.

REM check current folder
set errlev=0
(
chcp 65001 | "%L2HTOP%\bin\asku.exe" - -
cd | "%L2HTOP%\bin\asku.exe" - - "*/[*128:*255]/*n*(*X*X The current folder,*;      *z*c*(0*/[*192:*255][*128:*191]?/*1*(0*)*2*)*(0*/*2*1/*)*=*1[ *2]/*tu8/*o/*q2/*)*(*)"
if errorlevel 1 set errlev=1
if errorlevel 2 set errlev=2
chcp 437 | "%L2HTOP%\bin\asku.exe" - -
)
if "%errlev%" == "0" goto no_mult
if "%errlev%" == "1" echo asku error??
if "%errlev%" == "1" goto no_mult
echo    contains multinational characters, shown between brackets above.
:no_mult

REM set L2HTOP (do not change the format of the next two lines)
set "L2HTOP=C:\try\,. ~!@$&^()_+`-={}[]'a1\l2h"
if not "%L2HTOP%" == "C:\try\,. ~!@$&^()_+`-={}[]'a1\l2h" goto errenv
echo "%L2HTOP%"

if not exist "tmp.htm" copy "..\~\tmp.htm" "tmp.htm"
if not exist "tmp2.htm" copy "..\~\tmp2.htm" "tmp2.htm"
if not exist "a b.html" copy "..\a b.html" "a b.html"
if not exist "a.htm" copy "..\a b.html" "a.htm"

pause

REM see whether cd and *w give the same result in asku
goto askuend
REM
REM Only for codepage 1252, on a US laptop, do the piped-in folders
REM give the same result as *w or %cd% in the template.
REM
REM How the asku *w appears on the screen depends on the code page.
REM However, written to file, the result is always the same.
REM
REM Redirecting cd or echo "%%cd%%" to file gives the same result
REM as redirecting it to asku, except for codepage 65001 (UTF-8).
REM For 65001, asku seems to get a correct UTF-8 encoded path,
REM while the file gets codepage 1252 (even if it has a BOM header).
REM (However, using %%cd%% inside the asku template gives the same as *w.)
REM
echo cd redirections to file > ..\tmp.txt
copy ..\BOM.txt ..\tmp0.txt
chcp 437
cd
cd >> ..\tmp.txt
echo "%cd%" >> ..\tmp.txt
cd | "%L2HTOP%\bin\asku.exe" - "?../tmp1.txt" "*w*;*k0/*f*.*?*;*k/*w\a.htm*.*v?/*(y*)*(n*)*k/*?\a.htm*.*v?/*(y*)*(n*)*;"
"%L2HTOP%\bin\asku.exe" - - "org:  *w*;"
cd | "%L2HTOP%\bin\asku.exe" - - "*k0/*w*k/*f*.*ve/*(same*)*(diff*): *@/*;"
echo "%cd%" | "%L2HTOP%\bin\asku.exe" - - "*k0/*w*z*f*(0*=*D/*)*k/*o/*.*ve/*(same*)*(diff*): *@/*;"
"%L2HTOP%\bin\asku.exe" - - "*k0/*w*k/%cd%*.*ve/*(same*)*(diff*): *@/*;"
chcp 850
cd
cd >> ..\tmp.txt
echo "%cd%" >> ..\tmp.txt
cd | "%L2HTOP%\bin\asku.exe" - "?../tmp2.txt" "*w*;*k0/*f*.*?*;*k/*w\a.htm*.*v?/*(y*)*(n*)*k/*?\a.htm*.*v?/*(y*)*(n*)*;"
"%L2HTOP%\bin\asku.exe" - - "org:  *w*;"
cd | "%L2HTOP%\bin\asku.exe" - - "*k0/*w*k/*f*.*ve/*(same*)*(diff*): *@/*;"
echo "%cd%" | "%L2HTOP%\bin\asku.exe" - - "*k0/*w*z*f*(0*=*D/*)*k/*o/*.*ve/*(same*)*(diff*): *@/*;"
"%L2HTOP%\bin\asku.exe" - - "*k0/*w*k/%cd%*.*ve/*(same*)*(diff*): *@/*;"
chcp 1252
cd
cd >> ..\tmp.txt
echo "%cd%" >> ..\tmp.txt
cd | "%L2HTOP%\bin\asku.exe" - "?../tmp3.txt" "*w*;*k0/*f*.*?*;*k/*w\a.htm*.*v?/*(y*)*(n*)*k/*?\a.htm*.*v?/*(y*)*(n*)*;"
"%L2HTOP%\bin\asku.exe" - - "org:  *w*;"
cd | "%L2HTOP%\bin\asku.exe" - - "*k0/*w*k/*f*.*ve/*(same*)*(diff*): *@/*;"
echo "%cd%" | "%L2HTOP%\bin\asku.exe" - - "*k0/*w*z*f*(0*=*D/*)*k/*o/*.*ve/*(same*)*(diff*): *@/*;"
"%L2HTOP%\bin\asku.exe" - - "*k0/*w*k/%cd%*.*ve/*(same*)*(diff*): *@/*;"
(
chcp 65001
cd
cd >> ..\tmp.txt
echo "%cd%" >> ..\tmp.txt
cd >> ..\tmp0.txt
echo "%cd%" >> ..\tmp0.txt
cd > ..\tmp0a.txt
cd | "%L2HTOP%\bin\asku.exe" - "?../tmp4.txt" "*tu8/*w*;*k0/*f*.*?*;*k/*w\a.htm*.*v?/*(y*)*(n*)*k/*?\a.htm*.*v?/*(y*)*(n*)*;"
"%L2HTOP%\bin\asku.exe" - "?../tmp4a.txt" "*tu8/*w*;%cd%*;"
"%L2HTOP%\bin\asku.exe" - - "*tu8/org:  *w*;"
cd | "%L2HTOP%\bin\asku.exe" - - "*tu8/*k0/*w*k/*f*.*ve/*(same*)*(diff*): *@/*;"
echo "%cd%" | "%L2HTOP%\bin\asku.exe" - - "*tu8/*k0/*w*z*f*(0*=*D/*)*k/*o/*.*ve/*(same*)*(diff*): *@/*;"
"%L2HTOP%\bin\asku.exe" - - "*tu8/*k0/*w*k/%cd%*.*ve/*(same*)*(diff*): *@/*;"
chcp 437
)
:askuend

REM change to the short path
goto endcd
call "%%L2HTOP%%\bin\cdshort.bat" "a b.html" *10
if errorlevel 1 goto cd2
goto end
:cd2
call "%%L2HTOP%%\bin\cdshort.bat" "a b.html" *10 ..
if errorlevel 1 echo ERROR
goto end
:endcd


REM try Explorer
goto expend
REM
REM Everything works.
start iexplore "file://%cd%\a.htm"
echo start iexplore "file://%cd%\a.htm"
pause
REM
REM Everything works.
start iexplore "file://%cd%\a.htm#adv"
echo start iexplore "file://%cd%\a.htm#adv"
pause
:expend


REM try Firefox
REM goto endfire
REM
REM Even regular multinational characters fail if firefox is already running.
REM Not lately.
REM A DEL in the path will crash if firefox is already running.  Not lately.
REM Bad multinational characters are not a problem lately.
REM Lately everything works.
start "" "a.htm"
echo start "" "a.htm"
pause
REM
REM prevented by Windows itself:
REM start "" "a.htm#adv"
REM echo start "" "a.htm#adv"
REM pause
REM
REM Even regular multinational characters fail if firefox is already running.
REM Not lately.
REM A DEL in the path will crash if firefox is already running.  Not lately.
REM Bad multinational characters are not a problem lately.
REM Lately everything works.
start "" "%cd%\a.htm"
echo start "" "%cd%\a.htm"
pause
REM
REM prevented by Windows itself:
REM start "" "%cd%\a.htm#adv"
REM echo start "" "%cd%\a.htm#adv"
REM pause
REM
REM looks up www.a.htm.  Not lately.
REM Lately everything works.
start firefox "a.htm"
echo start firefox "a.htm"
pause
REM
REM looks up www.a.htm#adv.  Not lately.
REM Lately everything works.
start firefox "a.htm#adv"
echo start firefox "a.htm#adv"
pause
REM
REM Even regular multinational characters fail if firefox is already running.
REM Not lately.
REM A DEL in the path will crash if firefox is already running.  Not lately.
REM a percent, #, or ; is *not* a problem
REM Bad multinational characters are not a problem lately.
REM Lately everything works.
start firefox "%cd%\a.htm"
echo start firefox "%cd%\a.htm"
pause
REM
REM tries to load file a.htm#adv
REM start firefox "%cd%\a.htm#adv"
REM echo start firefox "%cd%\a.htm#adv"
REM pause
REM
REM a # or ; in the folder will take the rest as nonfile.  A ; not lately.
REM A percent is *not* a problem.
REM A DEL is *not* a problem.
REM Bad multinational characters are not a problem lately.
REM Lately everything except # works.
start firefox "file://%cd%\a.htm"
echo start firefox "file://%cd%\a.htm"
pause
REM
REM a # or ; in the folder will take the rest as nonfile.  A ; not lately.
REM A percent is *not* a problem.
REM A DEL is *not* a problem.
REM Bad multinational characters are not a problem lately.
REM Lately everything except # works.
start firefox "file://%cd%\a.htm#adv"
echo start firefox "file://%cd%\a.htm#adv"
pause
REM
REM Regular multinational characters must be percent-encoded.
REM Bad multinational characters are a problem.
if exist ..\tmp.bat del ..\tmp.bat
"%L2HTOP%\bin\asku.exe" - "?..\tmp.bat" "@echo off*;start firefox *Dfile://*z*w\a.htm*(0*=#*H*H23 *H*H*H25 ;*H*H3B *128:*137*H*H8-80 *138:*143*H*H8-73 *144:*153*H*H9-96 *154:*159*H*H9-89 *160:*169*H*HA-112 *170:*175*H*HA-105 *176:*185*H*HB-128 *186:*191*H*HB-121 *192:*201*H*HC-144 *202:*207*H*HC-137 *208:*217*H*HD-160 *218:*223*H*HD-153 *224:*233*H*HE-176 *234:*239*H*HE-169 *240:*249*H*HF-192 *250:*255*H*HF-185/*)*o/*D*;"
call ..\tmp.bat
type ..\tmp.bat
pause
REM
REM Regular multinational characters must be percent-encoded.
REM Bad multinational characters are a problem.
if exist ..\tmp.bat del ..\tmp.bat
"%L2HTOP%\bin\asku.exe" - "?..\tmp.bat" "@echo off*;start firefox *Dfile://*z*w\a.htm*(0*=#*H*H23 *H*H*H25 ;*H*H3B *128:*137*H*H8-80 *138:*143*H*H8-73 *144:*153*H*H9-96 *154:*159*H*H9-89 *160:*169*H*HA-112 *170:*175*H*HA-105 *176:*185*H*HB-128 *186:*191*H*HB-121 *192:*201*H*HC-144 *202:*207*H*HC-137 *208:*217*H*HD-160 *218:*223*H*HD-153 *224:*233*H*HE-176 *234:*239*H*HE-169 *240:*249*H*HF-192 *250:*255*H*HF-185/*)*o/#adv*D*;"
call ..\tmp.bat
type ..\tmp.bat
pause
REM
REM Regular multinational characters must be percent-encoded.
REM Bad multinational characters are a problem.
if exist ..\tmp.bat del ..\tmp.bat
"%L2HTOP%\bin\asku.exe" - "?..\tmp.bat" "@echo off*;start firefox *Dfile:///*z*w\a.htm*(0*=#*H*H23 *H*H*H25 ;*H*H3B *128:*137*H*H8-80 *138:*143*H*H8-73 *144:*153*H*H9-96 *154:*159*H*H9-89 *160:*169*H*HA-112 *170:*175*H*HA-105 *176:*185*H*HB-128 *186:*191*H*HB-121 *192:*201*H*HC-144 *202:*207*H*HC-137 *208:*217*H*HD-160 *218:*223*H*HD-153 *224:*233*H*HE-176 *234:*239*H*HE-169 *240:*249*H*HF-192 *250:*255*H*HF-185 \*F/*)*o/*D*;"
call ..\tmp.bat
type ..\tmp.bat
pause
REM
REM Regular multinational characters must be percent-encoded.
REM Bad multinational characters are a problem.
if exist ..\tmp.bat del ..\tmp.bat
"%L2HTOP%\bin\asku.exe" - "?..\tmp.bat" "@echo off*;start firefox *Dfile:///*z*w\a.htm*(0*=#*H*H23 *H*H*H25 ;*H*H3B *128:*137*H*H8-80 *138:*143*H*H8-73 *144:*153*H*H9-96 *154:*159*H*H9-89 *160:*169*H*HA-112 *170:*175*H*HA-105 *176:*185*H*HB-128 *186:*191*H*HB-121 *192:*201*H*HC-144 *202:*207*H*HC-137 *208:*217*H*HD-160 *218:*223*H*HD-153 *224:*233*H*HE-176 *234:*239*H*HE-169 *240:*249*H*HF-192 *250:*255*H*HF-185 \*F/*)*o/#adv*D*;"
call ..\tmp.bat
type ..\tmp.bat
pause
REM
if exist ..\tmp.bat del ..\tmp.bat
(
chcp 65001
echo "%cd%\a.htm"| "%L2HTOP%\bin\asku.exe" - "?..\tmp.bat" "start firefox *Dfile:///*z*f*(0*=*D #*H*H23 *H*H*H25 ;*H*H3B \*F *128:*137*H*H8-80 *138:*143*H*H8-73 *144:*153*H*H9-96 *154:*159*H*H9-89 *160:*169*H*HA-112 *170:*175*H*HA-105 *176:*185*H*HB-128 *186:*191*H*HB-121 *192:*201*H*HC-144 *202:*207*H*HC-137 *208:*217*H*HD-160 *218:*223*H*HD-153 *224:*233*H*HE-176 *234:*239*H*HE-169 *240:*249*H*HF-192 *250:*255*H*HF-185/*)*o/#adv*D*;"
chcp 437
)
call ..\tmp.bat
type ..\tmp.bat
pause
REM
if exist ..\tmp.bat del ..\tmp.bat
(
chcp 65001
echo "%cd%\a.htm"| "%L2HTOP%\bin\asku.exe" - "?..\tmp.bat" "start firefox *Dfile:///*z*f*(0*=*W:)*H*H2+16 *D *X:,*H*H2+23 ;:?*H*H3+7 @*H*H40 [:*U*H*H5-25 \*F *K*H*H60 {:*127*H*H7-57 ~~ *128:*137*H*H8-80 *138:*143*H*H8-73 *144:*153*H*H9-96 *154:*159*H*H9-89 *160:*169*H*HA-112 *170:*175*H*HA-105 *176:*185*H*HB-128 *186:*191*H*HB-121 *192:*201*H*HC-144 *202:*207*H*HC-137 *208:*217*H*HD-160 *218:*223*H*HD-153 *224:*233*H*HE-176 *234:*239*H*HE-169 *240:*249*H*HF-192 *250:*255*H*HF-185/*)*o/#adv*D*;"
chcp 437
)
call ..\tmp.bat
type ..\tmp.bat
pause
REM
goto end
:endfire

REM try Chrome
goto endchrome
REM
REM Works with everything.
start "" "a.htm"
echo start "" "a.htm"
pause
REM
REM prevented by Windows itself:
REM start "" "a.htm#adv"
REM echo start "" "a.htm#adv"
REM pause
REM
REM Works with everything.
start "" "%cd%\a.htm"
echo start "" "%cd%\a.htm"
pause
REM
REM prevented by Windows itself:
REM start "" "%cd%\a.htm#adv"
REM echo start "" "%cd%\a.htm#adv"
REM pause
REM
REM looks up www.a.htm
REM start chrome "a.htm"
REM echo start chrome "a.htm"
REM pause
REM
REM looks up www.a.htm#adv
REM start chrome "a.htm#adv"
REM echo start chrome "a.htm#adv"
REM pause
REM
REM Works with everything.
start chrome "%cd%\a.htm"
echo start chrome "%cd%\a.htm"
pause
REM
REM tries to load file a.htm#adv
REM start chrome "%cd%\a.htm#adv"
REM echo start chrome "%cd%\a.htm#adv"
REM pause
REM
REM a # in the folder will take the rest as nonfile
REM Works with bad multinational characters.
REM A percent or ; is *not* a problem.
start chrome "file://%cd%\a.htm"
echo start chrome "file://%cd%\a.htm"
pause
REM
REM a # in the folder will take the rest as nonfile
REM Works with bad multinational characters.
REM A percent or ; is *not* a problem.
start chrome "file://%cd%\a.htm#adv"
echo start chrome "file://%cd%\a.htm#adv"
pause
REM
REM Does *not* work with bad multinational characters.
REM regular multinational characters must be percent-encoded
if exist ..\tmp.bat del ..\tmp.bat
"%L2HTOP%\bin\asku.exe" - "?..\tmp.bat" "@echo off*;start chrome *Dfile://*z*w\a.htm*(0*=#*H*H23 *H*H*H25 ;*H*H3B *128:*137*H*H8-80 *138:*143*H*H8-73 *144:*153*H*H9-96 *154:*159*H*H9-89 *160:*169*H*HA-112 *170:*175*H*HA-105 *176:*185*H*HB-128 *186:*191*H*HB-121 *192:*201*H*HC-144 *202:*207*H*HC-137 *208:*217*H*HD-160 *218:*223*H*HD-153 *224:*233*H*HE-176 *234:*239*H*HE-169 *240:*249*H*HF-192 *250:*255*H*HF-185/*)*o/*D*;"
call ..\tmp.bat
type ..\tmp.bat
pause
REM
REM Does *not* work with bad multinational characters.
REM regular multinational characters must be percent-encoded
if exist ..\tmp.bat del ..\tmp.bat
"%L2HTOP%\bin\asku.exe" - "?..\tmp.bat" "@echo off*;start chrome *Dfile://*z*w\a.htm*(0*=#*H*H23 *H*H*H25 ;*H*H3B *128:*137*H*H8-80 *138:*143*H*H8-73 *144:*153*H*H9-96 *154:*159*H*H9-89 *160:*169*H*HA-112 *170:*175*H*HA-105 *176:*185*H*HB-128 *186:*191*H*HB-121 *192:*201*H*HC-144 *202:*207*H*HC-137 *208:*217*H*HD-160 *218:*223*H*HD-153 *224:*233*H*HE-176 *234:*239*H*HE-169 *240:*249*H*HF-192 *250:*255*H*HF-185/*)*o/#adv*D*;"
call ..\tmp.bat
type ..\tmp.bat
pause
REM
REM Does *not* work with bad multinational characters.
REM regular multinational characters must be percent-encoded
if exist ..\tmp.bat del ..\tmp.bat
"%L2HTOP%\bin\asku.exe" - "?..\tmp.bat" "@echo off*;start chrome *Dfile:///*z*w\a.htm*(0*=#*H*H23 *H*H*H25 ;*H*H3B *128:*137*H*H8-80 *138:*143*H*H8-73 *144:*153*H*H9-96 *154:*159*H*H9-89 *160:*169*H*HA-112 *170:*175*H*HA-105 *176:*185*H*HB-128 *186:*191*H*HB-121 *192:*201*H*HC-144 *202:*207*H*HC-137 *208:*217*H*HD-160 *218:*223*H*HD-153 *224:*233*H*HE-176 *234:*239*H*HE-169 *240:*249*H*HF-192 *250:*255*H*HF-185 \*F/*)*o/*D*;"
call ..\tmp.bat
type ..\tmp.bat
pause
REM
REM Does *not* work with bad multinational characters.
REM regular multinational characters must be percent-encoded
if exist ..\tmp.bat del ..\tmp.bat
"%L2HTOP%\bin\asku.exe" - "?..\tmp.bat" "@echo off*;start chrome *Dfile:///*z*w\a.htm*(0*=#*H*H23 *H*H*H25 ;*H*H3B *128:*137*H*H8-80 *138:*143*H*H8-73 *144:*153*H*H9-96 *154:*159*H*H9-89 *160:*169*H*HA-112 *170:*175*H*HA-105 *176:*185*H*HB-128 *186:*191*H*HB-121 *192:*201*H*HC-144 *202:*207*H*HC-137 *208:*217*H*HD-160 *218:*223*H*HD-153 *224:*233*H*HE-176 *234:*239*H*HE-169 *240:*249*H*HF-192 *250:*255*H*HF-185 \*F/*)*o/#adv*D*;"
call ..\tmp.bat
type ..\tmp.bat
pause
REM
if exist ..\tmp.bat del ..\tmp.bat
(
chcp 65001
echo "%cd%\a.htm"| "%L2HTOP%\bin\asku.exe" - "?..\tmp.bat" "start chrome *Dfile:///*z*f*(0*=*D #*H*H23 *H*H*H25 ;*H*H3B \*F *128:*137*H*H8-80 *138:*143*H*H8-73 *144:*153*H*H9-96 *154:*159*H*H9-89 *160:*169*H*HA-112 *170:*175*H*HA-105 *176:*185*H*HB-128 *186:*191*H*HB-121 *192:*201*H*HC-144 *202:*207*H*HC-137 *208:*217*H*HD-160 *218:*223*H*HD-153 *224:*233*H*HE-176 *234:*239*H*HE-169 *240:*249*H*HF-192 *250:*255*H*HF-185/*)*o/#adv*D*;"
chcp 437
)
call ..\tmp.bat
type ..\tmp.bat
pause
REM
REM
if exist ..\tmp.bat del ..\tmp.bat
(
chcp 65001
echo "%cd%\a.htm"| "%L2HTOP%\bin\asku.exe" - "?..\tmp.bat" "start chrome *Dfile:///*z*f*(0*=*W:)*H*H2+16 *D *X:,*H*H2+23 ;:?*H*H3+7 @*H*H40 [:*U*H*H5-25 \*F *K*H*H60 {:*127*H*H7-57 ~~ *128:*137*H*H8-80 *138:*143*H*H8-73 *144:*153*H*H9-96 *154:*159*H*H9-89 *160:*169*H*HA-112 *170:*175*H*HA-105 *176:*185*H*HB-128 *186:*191*H*HB-121 *192:*201*H*HC-144 *202:*207*H*HC-137 *208:*217*H*HD-160 *218:*223*H*HD-153 *224:*233*H*HE-176 *234:*239*H*HE-169 *240:*249*H*HF-192 *250:*255*H*HF-185/*)*o/#adv*D*;"
chcp 437
)
call ..\tmp.bat
type ..\tmp.bat
pause
REM
goto end
:endchrome



REM try lynx 2.8.7rel2
goto endlynx
REM
REM Does not work if \~\ is in the path.
REM Does *not* work with bad multinational characters.
call "%%L2HTOP%%\bin\lynx.bat" U0 "a.htm"
echo call "%%L2HTOP%%\bin\lynx.bat" U0 "a.htm"
pause
REM
REM But this one does work if \~\ is in the path??
REM Does *not* work with bad multinational characters.
call "%%L2HTOP%%\bin\lynx.bat" U0 "a.htm#adv"
echo call "%%L2HTOP%%\bin\lynx.bat" U0 "a.htm#adv"
pause
REM
REM But this one does work if \~\ is in the path???
REM Does *not* work with bad multinational characters.
call "%%L2HTOP%%\bin\lynx.bat" U0 "a.htm#"
echo call "%%L2HTOP%%\bin\lynx.bat" U0 "a.htm#"
pause
REM
REM Does not work if \~\ is in the path.
REM A # in the folder will take the rest as nonfile.
REM Does *not* work with bad multinational characters.
call "%%L2HTOP%%\bin\lynx.bat" U0 "%%cd%%\a.htm"
echo call "%%L2HTOP%%\bin\lynx.bat" U0 "%%cd%%\a.htm"
pause
REM
REM Does not work if \~\ is in the path.
REM A # in the folder will take the rest as nonfile.
REM Does *not* work with bad multinational characters.
call "%%L2HTOP%%\bin\lynx.bat" U0 "%%cd%%\a.htm#adv"
echo call "%%L2HTOP%%\bin\lynx.bat" U0 "%%cd%%\a.htm#adv"
pause
REM Does not work, goes to the web for an ftp host.
REM call "%%L2HTOP%%\bin\lynx.bat" U0 "file://%%cd%%\a.htm"
REM echo call "%%L2HTOP%%\bin\lynx.bat" U0 "file://%%cd%%\a.htm"
REM pause
REM
REM Does not work if \~\ is in the path.
REM A # in the folder will take the rest as nonfile.
REM Does *not* work with bad multinational characters.
call "%%L2HTOP%%\bin\lynx.bat" U0 "file:///%%cd%%\a.htm"
echo call "%%L2HTOP%%\bin\lynx.bat" U0 "file:///%%cd%%\a.htm"
pause
REM
REM Does not work, goes to the web for an ftp host.
REM call "%%L2HTOP%%\bin\lynx.bat" U0 "file://%%cd%%\a.htm#adv"
REM echo call "%%L2HTOP%%\bin\lynx.bat" U0 "file://%%cd%%\a.htm#adv"
REM pause
REM
REM Does not work if \~\ is in the path.
REM A # in the folder will take the rest as nonfile.
REM Does *not* work with bad multinational characters.
call "%%L2HTOP%%\bin\lynx.bat" U0 "file:///%%cd%%\a.htm#adv"
echo call "%%L2HTOP%%\bin\lynx.bat" U0 "file:///%%cd%%\a.htm#adv"
pause
REM
REM Does not work if \~\ is in the path, even if percent-encoded.
REM A # in the folder will take the rest as nonfile, even if percent-encoded.
REM Regular multinational characters must be percent-encoded.
REM Caret must be encoded to deal with the DOS batch argument caret doubling.
REM Does *not* work with bad multinational characters.
if exist ..\tmp.bat del ..\tmp.bat
"%L2HTOP%\bin\asku.exe" - "?..\tmp.bat" "@echo off*;call *D*H*HL2HTOP*H*H\bin\lynx.bat*D U0 *Dfile:///*z*w\a.htm*(0*=#*H*H23 *H*H*H25 ;*H*H3B ^*H*H5E ~*H*H7E *128:*137*H*H8-80 *138:*143*H*H8-73 *144:*153*H*H9-96 *154:*159*H*H9-89 *160:*169*H*HA-112 *170:*175*H*HA-105 *176:*185*H*HB-128 *186:*191*H*HB-121 *192:*201*H*HC-144 *202:*207*H*HC-137 *208:*217*H*HD-160 *218:*223*H*HD-153 *224:*233*H*HE-176 *234:*239*H*HE-169 *240:*249*H*HF-192 *250:*255*H*HF-185/*)*(0*=*H*H*H/*)*o/*D*;"
call ..\tmp.bat
type ..\tmp.bat
pause
REM
REM Does not work if \~\ is in the path, even if percent-encoded.
REM A # in the folder will take the rest as nonfile, even if percent-encoded.
REM Regular multinational characters must be percent-encoded.
REM Caret must be encoded to deal with the DOS batch argument caret doubling.
REM Does *not* work with bad multinational characters.
if exist ..\tmp.bat del ..\tmp.bat
"%L2HTOP%\bin\asku.exe" - "?..\tmp.bat" "@echo off*;call *D*H*HL2HTOP*H*H\bin\lynx.bat*D U0 *Dfile:///*z*w\a.htm*(0*=#*H*H23 *H*H*H25 ;*H*H3B ^*H*H5E ~*H*H7E *128:*137*H*H8-80 *138:*143*H*H8-73 *144:*153*H*H9-96 *154:*159*H*H9-89 *160:*169*H*HA-112 *170:*175*H*HA-105 *176:*185*H*HB-128 *186:*191*H*HB-121 *192:*201*H*HC-144 *202:*207*H*HC-137 *208:*217*H*HD-160 *218:*223*H*HD-153 *224:*233*H*HE-176 *234:*239*H*HE-169 *240:*249*H*HF-192 *250:*255*H*HF-185/*)*(0*=*H*H*H/*)*o/#adv*D*;"
call ..\tmp.bat
type ..\tmp.bat
pause
REM
REM Does not work if \~\ is in the path, even if percent-encoded.
REM A # in the folder will take the rest as nonfile, even if percent-encoded.
REM Regular multinational characters must be percent-encoded.
REM Caret must be encoded to deal with the DOS batch argument caret doubling.
REM Does *not* work with bad multinational characters.
if exist ..\tmp.bat del ..\tmp.bat
"%L2HTOP%\bin\asku.exe" - "?..\tmp.bat" "@echo off*;call *D*H*HL2HTOP*H*H\bin\lynx.bat*D U0 *Dfile:///*z*w\a.htm*(0*=#*H*H23 *H*H*H25 ;*H*H3B ^*H*H5E ~*H*H7E *128:*137*H*H8-80 *138:*143*H*H8-73 *144:*153*H*H9-96 *154:*159*H*H9-89 *160:*169*H*HA-112 *170:*175*H*HA-105 *176:*185*H*HB-128 *186:*191*H*HB-121 *192:*201*H*HC-144 *202:*207*H*HC-137 *208:*217*H*HD-160 *218:*223*H*HD-153 *224:*233*H*HE-176 *234:*239*H*HE-169 *240:*249*H*HF-192 *250:*255*H*HF-185 \*F/*)*(0*=*H*H*H/*)*o/*D*;"
call ..\tmp.bat
type ..\tmp.bat
pause
REM
REM Does not work if \~\ is in the path, even if percent-encoded.
REM A # in the folder will take the rest as nonfile, even if percent-encoded.
REM Regular multinational characters must be percent-encoded.
REM Caret must be encoded to deal with the DOS batch argument caret doubling.
REM Does *not* work with bad multinational characters.
if exist ..\tmp.bat del ..\tmp.bat
"%L2HTOP%\bin\asku.exe" - "?..\tmp.bat" "@echo off*;call *D*H*HL2HTOP*H*H\bin\lynx.bat*D U0 *Dfile:///*z*w\a.htm*(0*=#*H*H23 *H*H*H25 ;*H*H3B ^*H*H5E ~*H*H7E *128:*137*H*H8-80 *138:*143*H*H8-73 *144:*153*H*H9-96 *154:*159*H*H9-89 *160:*169*H*HA-112 *170:*175*H*HA-105 *176:*185*H*HB-128 *186:*191*H*HB-121 *192:*201*H*HC-144 *202:*207*H*HC-137 *208:*217*H*HD-160 *218:*223*H*HD-153 *224:*233*H*HE-176 *234:*239*H*HE-169 *240:*249*H*HF-192 *250:*255*H*HF-185 \*F/*)*(0*=*H*H*H/*)*o/#adv*D*;"
call ..\tmp.bat
type ..\tmp.bat
pause
REM
goto end
:endlynx

:end
